Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookAdditional pages on a site
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
custom_htmltextdescriptionMultiLanguageStringLocalized description of the page
nodeSiteNodeslugMultiLanguageStringSlug of the page
status"draft" | "published"Publication status of the page
titleMultiLanguageStringLocalized title of the page
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T04:00:21.475Z",
"updated_at": "2026-03-12T04:00:21.475Z",
"custom_html": "",
"description": {
"default": "Hello",
"nl-NL": "Hallo"
},
"node": {},
"slug": {
"default": "Hello",
"nl-NL": "Hallo"
},
"status": "draft",
"title": {
"default": "Hello",
"nl-NL": "Hallo"
}
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>slugFilter<MultiLanguageString>Slug of the page
statusFilter<"draft" | "published">Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
200A list of site pages with the selected columns
206Partial Content
GET /site_pagescurl -X GET "https://api.bookingmood.com/v1/site_pages?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<SitePage> | Array<Partial<SitePage>>201The newly created site pages with the selected columns
POST /site_pagescurl -X POST "https://api.bookingmood.com/v1/site_pages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>slugFilter<MultiLanguageString>Slug of the page
statusFilter<"draft" | "published">Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
204The deleted site pages with the selected columns
DELETE /site_pagescurl -X DELETE "https://api.bookingmood.com/v1/site_pages" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>slugFilter<MultiLanguageString>Slug of the page
statusFilter<"draft" | "published">Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
Partial<SitePage>204The updated site pages with the selected columns
PATCH /site_pagescurl -X PATCH "https://api.bookingmood.com/v1/site_pages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'